import java.io.*;
import java.util.*;
class Communication{
    InputStream input;
    OutputStream output;
    BufferedReader inputReader;
    String inputString="";
    String delimiter="\n ";
    int position=0;
    public Communication(InputStream is,OutputStream os){
	setInputStream(is);
	setOutputStream(os);
    }
    public Communication(String inputPath,OutputStream os){
	try{
	    setInputStream(new FileInputStream(getCorrectedPath(inputPath)));
	}catch(IOException ioe){}
	setOutputStream(os);
    }
    public Communication(String inputPath,String outputPath){
	try{
	    setInputStream(new FileInputStream(getCorrectedPath(inputPath)));}
	catch(IOException ioe){}
	try{
	    setOutputStream(new FileOutputStream(getCorrectedPath(outputPath)));
	}catch(IOException ioe){}
    }
    public void setInputStream(InputStream is){
	this.input=is;
	inputReader=new BufferedReader(new InputStreamReader(input));
    }
    public void setOutputStream(OutputStream os){
	this.output=os;
    }
    public static String getCorrectedPath(String path){
	if (!new File(path).exists()) {
	    if (path.indexOf(new File("").getAbsolutePath())>=0) return path;
	    if (!new File("").getAbsolutePath().endsWith(System.getProperty("path.separator"))) path=System.getProperty("path.separator")+path;
	    return new File("").getAbsolutePath()+path;
	}
	return path;
    }
    public String readLine(){
	try{
	    position=0;
	    inputString="";
	    return inputReader.readLine();
	}
	catch(IOException e){}
	return null;
    }
    public void writeString(String s){
	try{
	    output.write(s.getBytes());}catch(IOException e){}
    }
}

public class Snow{
    public static void main(String[] args){
	Communication c=new Communication("snow.in",System.out);
	int lsc=0;
	int Anzahl;
	do{
	    lsc++;
	    String s=c.readLine();
	    Anzahl=Integer.parseInt(s);
	    if (!(Anzahl==0)){
		int count=0;
		for (int i=0;i<Anzahl;i++){
		    String s2=c.readLine();
		    for (int o=0;o<s2.length();o++) if (s2.charAt(o)=='*') count++;
		}
		System.out.println("Landscape "+lsc);
		System.out.println(""+count+" snowflakes\n");
	    }
	}while (Anzahl!=0);
    }
}
	    
		    
