import java.io.*;
import java.util.*;
class Communication{
    InputStream input;
    OutputStream output;
    BufferedReader inputReader;
    String inputString="";
    String delimiter="\n ";
    int position=0;
    public Communication(InputStream is,OutputStream os){
	setInputStream(is);
	setOutputStream(os);
    }
    public Communication(String inputPath,OutputStream os){
	try{
	    setInputStream(new FileInputStream(getCorrectedPath(inputPath)));
	}catch(IOException ioe){}
	setOutputStream(os);
    }
    public Communication(String inputPath,String outputPath){
	try{
	    setInputStream(new FileInputStream(getCorrectedPath(inputPath)));}
	catch(IOException ioe){}
	try{
	    setOutputStream(new FileOutputStream(getCorrectedPath(outputPath)));
	}catch(IOException ioe){}
    }
    public void setInputStream(InputStream is){
	this.input=is;
	inputReader=new BufferedReader(new InputStreamReader(input));
    }
    public void setOutputStream(OutputStream os){
	this.output=os;
    }
    public static String getCorrectedPath(String path){
	if (!new File(path).exists()) {
	    if (path.indexOf(new File("").getAbsolutePath())>=0) return path;
	    if (!new File("").getAbsolutePath().endsWith(System.getProperty("path.separator"))) path=System.getProperty("path.separator")+path;
	    return new File("").getAbsolutePath()+path;
	}
	return path;
    }
    public String readLine(){
	try{
	    position=0;
	    inputString="";
	    return inputReader.readLine();
	}
	catch(IOException e){}
	return null;
    }
    public void writeString(String s){
	try{
	    output.write(s.getBytes());}catch(IOException e){}
    }
}

public class y2k {
    public static void main(String[] args){
	Communication c=new Communication("y2k.in",System.out);
	String s;
	do{
	    s=c.readLine();
	    if (s!=null){
		int i=0;
		while (s.substring(i,s.length()).indexOf("Y2K")>=0){
		    i=s.indexOf("Y2K");
		    s=s.substring(0,i)+s.substring(i+3,s.length());
		    //System.out.println(s);
		}
		System.out.println(s);
	    }
	    
	}while (s!=null);

    }
}
	    
		    
