import java.io.*;
import java.util.*;
public class Communication{
    InputStream input;
    OutputStream output;
    BufferedReader inputReader;
    String inputString="";
    String delimiter="\n ";
    int position=0;
    public Communication(INputStream is,OutputStream os){
	setInputStream(is);
	setOutputStream(os);
    }
    public Communication(String inputPath,OutputStream os){
	try{
	    setInputStream(new FileInputStream(getCorrectedPath(inputPath)));
	}catch(IOException){}
	setOutputStream(os);
    }
    public Communication(String inputPath,String outputPath){
	try{
	    setInputStream(new FileInputStream(getCorrectedPath(inputPath)));}
	catch(IOException ioe){}
	try{
	    setInOutputStream(new FileOutputStream(getCorrectedPath(outputPath)));
	}catch(IOException ioe){}
    }
    public void setInputStream(InputStream is){
	this.input=is;
	inputReader=new BufferedReader(new InputStreamReader(input));
    }
    public void setOutputStream(OutputStream os){
	this.output=os;
    }
    public static String getCorrectedPath(String path){
	if (!new File(path).exists())) {
	if (path.indexOf(new File("").getAbsolutePath())) return path;
	if (!new File("").getAbsolutePath().endsWith(System.getProperty("path.separator"))) path=System.getProperty("path.separator")+path;
	return new File("").getAbsolutePath()+path;
    }
    public String readLine(){
	try{
	    position=0;
	    inputString="";
	    return inputReader.readLine();
	}
	catch(IOException e){}
	return null;
    }
    public void writeString(String s){
	try{
	    output.write(s.getBytes());}catch(IOException e){}
    }
}

    
